<?php

 
 //*************************
 //Définitions des variables
 //*************************
 
 $debug = 1; //0=off / 1=on
 $notification_mail = 1; //0=non / 1=oui 
 $adresse_mail = "khadim-93@hotmail.fr";
 $provenance_mail = "From: http://localhost/projet%20message%20anonyme/index.php";
 
 
 // Recupere le pseudo
 $pseudo = $_POST['pseudo'];
 //Récupère le commentaire
 $commentaire = $_POST['commentaire'];

 //Extrait le nom de la page et l'utilise pour le nom du fichier de sauvegarde en ".txt"
 $script_name = $_SERVER['SCRIPT_NAME'];
 $pos = strrpos($script_name, "/");
 $path = substr($script_name, $pos+1, strlen($script_name) - $pos - 5).'.txt';
 
 
  //Affichage du formulaire
 echo '
 <div id="conteneur">
  <div class="title-post-wrapper">Laisser un commentaire</div>
 <form enctype="multipart/form-data" name="comment_form" action="'.$_SERVER['PHP_SELF'].'" method="POST"> 
 <label class="pseudo-style" for="pseudo-box">Pseudo : </label><br />
    	    <input type="text" name="pseudo" class="pseudo-box" value="'.$pseudo.'" placeholder="Entrez votre pseudo"><br />
 <label class="com-style">Votre commentaire :</label><br />
   			<textarea name="commentaire" cols="50" rows="5" class="com-box" placeholder="Entrez votre commentaire"></textarea>
			</textarea><br />
 <input class="button-style" type="submit" name="submit" value="Poster" />
 </form>
 ';
 
 //Enregistre et affiche les commentaires
 if(isset($_POST['submit']))
  save_comment($path,$pseudo,$commentaire);
 else
 //Affiche les commentaires
   if(file_exists($path))
      echo affiche_commentaires($path);  
 

 //*********
 //Fonctions
 //********* 

 function affiche_commentaires($path)
 {
  global $debug;
  
 
  $handletmp = fopen($path,"r");
  $tableau_content = file($path);
  fclose($handletmp);
     
  //***************************
  //Affichage des commmentaires  
  //***************************
  
  // boucle sur tous les elements
  $HTML  = '<div class="title-com-wrapper">Vos commentaires</div>';
 
  for($i=0; $i < count($tableau_content); $i++)
  {
    if($i%2==0)
      {
       $HTML .= '<div class="user-wrapper">';
       $HTML .= $tableau_content[$i].'</div>';
      }
    else
     {
       $HTML .= '<div class="com-user-wrapper">';
       $HTML .= $tableau_content[$i].'</div>';
     }
  }
  $HTML .= '</div>';
  
  return $HTML;
 } 
 
 
 function save_comment($path,$pseudo,$commentaire)
  {
  
   //*****************************
   //Enregistrement du commentaire	
   //*****************************
   
   global $debug;
   global $notification_mail;
   
 
   global $adresse_mail;
   global $provenance_mail;
  
   if(file_exists($path))
     {
      $handle = fopen($path,"r");
      $tableau_content = file($path);
      fclose($handle);  
     }
   //remplace le retour à la ligne par <br /> et le \' par '
   $commentaire=eregi_replace("\r\n","<br />",$commentaire);
   $commentaire=eregi_replace("\\\'","'",$commentaire);   

   if(($commentaire != "")&&(($commentaire . "\r\n") != $tableau_content[count($tableau_content)-1]))
     { 
      $handle = fopen($path,"w"); 
      for($i=0;$i < count($tableau_content); $i++)
         {  
          if(($tableau_content[$i] != "")&&($tableau_content[$i] != "\r\n"))
          fwrite($handle,$tableau_content[$i]);
         }     
      $str_out = '<span class="post-pseudo-style">' .$pseudo." </span> le ".date('d.m.y - H:i:s')."\r\n".$commentaire."\r\n";
      fwrite($handle,$str_out);   
      fclose($handle);
      if($notification_mail == 1)
        {
         $message = $pseudo." le ".date('d.m.y - H:i:s')."\r\n".$commentaire."\r\nhttp://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
         mail($adresse_mail,"Nouveau commentaire de ".$pseudo,$message,$provenance_mail);
        } 
     }
   else
    {
     if($debug == 1)
      echo "<br /><br />Commentaire vide ou redondant!!!<br />";	
    }   
   echo Affiche_commentaires($path); 
 }
 
?>
